Name:           python-airontools
Version:        0.1.57
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        AIronTools (Beta) is a Python library that provides the user with deep learning tools built to work with tensorflow as a backend.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/AtrejuArtax/airontools
Source:         %{pypi_source airontools}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'airontools' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-airontools
Summary:        %{summary}

%description -n python3-airontools %_description


%prep
%autosetup -p1 -n airontools-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-airontools -f %{pyproject_files}


%changelog
%autochangelog